
var select_file_criteria = {};
var select_folder_criteria = {};
$.each(schema.criterion, function(k, v) {
	if (v.deprecated)
		return;
	switch (v['class'])
	{
	    case 'file':
		select_file_criteria[k] = v.desc;
		break;
	    case 'folder':
		select_folder_criteria[k] = v.desc;
		break;
	    case 'all':
		select_file_criteria[k] = v.desc;
		select_folder_criteria[k] = v.desc;
		break;
	}
});

var select_file_actions = {};
var select_folder_actions = {};
$.each(schema.action, function(k, v) {
	if (v.deprecated)
		return;
	switch (v['class'])
	{
	    case 'file':
		select_file_actions[k] = v.desc;
		break;
	    case 'folder':
		select_folder_actions[k] = v.desc;
		break;
	    case 'all':
		select_file_actions[k] = v.desc;
		select_folder_actions[k] = v.desc;
		break;
	}
});

